import { alertStore } from "../../Stores/AlertStore";
/**
 * Alert action
 *
 * @since 1.0.0
 */
export default class ActionAlert {
    /**
     * Action data.
     *
     * @since 1.0.0
     */
    data;
    /**
    * Constuctor.
    *
    * @param form Form object.
    * @param data Action data.
    *
    * @since 1.0.0
    */
    constructor(data) {
        this.data = data;
    }
    /**
     * Run action.
     *
     * @since 1.0.0
     */
    run() {
        alertStore.set(this.data);
        return true;
    }
}
