import Callback from "../Helpers/Callback";
/**
 * Alert action
 *
 * @since 1.0.0
 */
export default class ActionCallback {
    /**
     * Callback data.
     *
     * @since 1.0.0
     */
    callback;
    /**
    * Constuctor.
    *
    * @param data Callback data
    *
    * @since 1.0.0
    */
    constructor(callbackData) {
        this.callback = new Callback(callbackData);
    }
    /**
     * Run action.
     *
     * @since 1.0.0
     */
    run() {
        let returnValue = this.callback.execute();
        if (returnValue === false) {
            return false;
        }
        return true;
    }
}
