/**
 * Alert action
 *
 * @since 1.0.0
 */
export default class ActionConsole {
    /**
     * Action data.
     *
     * @since 1.0.0
     */
    data;
    /**
    * Constuctor.
    *
    * @param form Form object.
    * @param data Action data.
    *
    * @since 1.0.0
    */
    constructor(data) {
        this.data = data;
    }
    /**
     * Run action.
     *
     * @since 1.0.0
     */
    run() {
        switch (this.data.type) {
            case 'warn':
                console.warn(this.data.message);
                break;
            case 'error':
                console.error(this.data.message);
                break;
            default:
                console.log(this.data.message);
                break;
        }
        return true;
    }
}
