import Actions from "../Actions/Actions";
import type HasTriggerData from "../Interfaces/HasTriggerData";
import Conditions from "../Helpers/Conditions";
/**
 * Field class.
 *
 * @since 1.0.0
 */
export default class Trigger {
    readonly conditions: Conditions;
    readonly actions: Actions;
    /**
     * Constructor.
     *
     * @param name Internal name for action.
     * @param trigger Trigger when action fires (change or submit).
     * @param conditions Conditions which have to be fullfilled to run actions after it was triggered.
     * @param actions Actions to be executed.
     *
     * @since 1.0.0
     */
    constructor(triggerData: HasTriggerData, formValues?: {});
    /**
     * Runs the trigger.
     *
     * @since 1.0.0
     */
    run(): void;
}
