import Actions from "../Actions/Actions";
import Conditions from "../Helpers/Conditions";
/**
 * Field class.
 *
 * @since 1.0.0
 */
export default class Trigger {
    conditions;
    actions;
    /**
     * Constructor.
     *
     * @param name Internal name for action.
     * @param trigger Trigger when action fires (change or submit).
     * @param conditions Conditions which have to be fullfilled to run actions after it was triggered.
     * @param actions Actions to be executed.
     *
     * @since 1.0.0
     */
    constructor(triggerData, formValues = {}) {
        this.conditions = new Conditions(triggerData.conditions, formValues);
        this.actions = new Actions(triggerData.actions);
    }
    /**
     * Runs the trigger.
     *
     * @since 1.0.0
     */
    run() {
        if (!this.conditions.fullfilled()) {
            return;
        }
        this.actions.run();
    }
}
