import Trigger from "./Trigger";
/**
 * Triggers.
 *
 * @since 1.0.0
 */
export default class Triggers {
    triggers = [];
    /**
     * Constructor.
     *
     * @param cssClasses Array of CSS classes.
     *
     * @since 1.0.0
     */
    constructor(triggersData, formValues = {}) {
        triggersData?.forEach(triggerData => {
            this.triggers.push(new Trigger(triggerData, formValues));
        });
    }
    /**
     * Execute all triggers.
     *
     * @since 1.0.0
     */
    execute() {
        this.triggers.forEach(trigger => {
            trigger.run();
        });
    }
}
