import type HasFieldData from '../Interfaces/HasFieldData';
import Field from './Field';
/**
 * SingleField class.
 *
 * @since 1.0.0
 */
export default class SingleField extends Field {
    /**
     * Initializing field.
     *
     * @param fieldData  Field data.
     * @param formValues Form values.
     *
     * @since 1.0.0
     */
    constructor(fieldData: HasFieldData, formValues: {});
    /**
     * Doing form things and get value of the field.
     *
     * @returns Value of the field.
     *
     * @since 1.0.0
     */
    getValue(): any;
    /**
     * Doing form things and g set value of the field.
     *
     * @param value Value to set.
     *
     * @since 1.0.0
     */
    setValue(value: any): void;
    /**
     * Validate field values and set errors.
     *
     * @returns True if field is valid.
     *
     * @since 1.0.0
     */
    validate(): boolean;
}
