import type HasButtonData from "../Interfaces/HasButtonData";
/**
 * Button class.
 *
 * @since 1.0.0
 */
export default class Button {
    private buttonData;
    /**
     * Constructor.
     *
     * @param buttonData Button data.
     *
     * @since 1.0.0
     */
    constructor(buttonData: HasButtonData);
    /**
     * Get button label.
     *
     * @returns Label of button.
     *
     * @since 1.0.0
     */
    getLabel(): string;
    /**
     * Get method name of callback.
     *
     * @returns
     *
     * @since 1.0.0
     */
    getMethod(): string;
    /**
     * Fires button callback.
     *
     * @since 1.0.0
     */
    click(dismiss: any): void;
}
