import type HasCallbackData from "../Interfaces/HasCallbackData";
/**
 * Callback class.
 *
 * @since 1.0.0
 */
export default class Callback {
    /**
     * Callback method.
     *
     * @type {string}
     *
     * @since 1.0.0
     */
    protected method: string;
    /**
     * Callback arguments.
     *
     * @type {Array}
     *
     * @since 1.0.0
     */
    protected args: any[];
    /**
     * Constructor.
     *
     * @param method Callback method.
     * @param args Callback arguments.
     *
     * @since 1.0.0
     */
    constructor(callback: HasCallbackData);
    /**
     * Execute callback.
     *
     * @returns any Callback return value.
     *
     * @since 1.0.0
     */
    execute(): any;
}
