import type HasConditionData from "../Interfaces/HasConditionData";
/**
 * Conditions class.
 *
 * @since 1.0.0
 */
export default class Conditions {
    readonly conditions: HasConditionData[];
    private formValues;
    /**
     * Constuctor.
     *
     * @param conditions Conditions.
     *
     * @since 1.0.0
     */
    constructor(conditions?: HasConditionData[], formValues?: {});
    /**
     * Checks if conditions are fullfilled.
     *
     * @returns True if fullfilled, false if not.
     *
     * @since 1.0.0
     */
    fullfilled(): boolean;
    /**
     * Filter compare value.
     *
     * This makes values like "undefined" possible.
     *
     * @param value Value to filter.
     * @returns Filtered value.
     *
     * @since 1.0.0
     */
    private filterCompareValue;
}
