import type HasChoicesData from "./HasChoicesData";
import type HasConditionData from "./HasConditionData";
import type HasReplacementData from "./HasReplacementData";
import type HasValidationData from "./HasValidationData";
/**
 * Field data interface.
 *
 * @since 1.0.0
 */
export default interface HasFieldData {
    readonly id: string;
    readonly type: string;
    readonly label: string;
    readonly prefix: string;
    readonly suffix: string;
    readonly placeholder: string;
    readonly classes: string[];
    readonly labelClasses: string[];
    readonly inputClasses: string[];
    readonly size: number;
    readonly options: HasChoicesData[];
    readonly conditions: HasConditionData[];
    readonly validations: HasValidationData[];
    readonly replacements: HasReplacementData[];
    readonly help: string;
    readonly params: any;
    readonly paramsCallback: any;
    readonly valueFieldId: string;
    readonly valueDefault: any;
    readonly valueCallback: any;
    readonly value: any;
    readonly multiple: boolean;
}
